﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SQLite;

namespace System.Data.SQLite.App1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            SQLiteConnection.CreateFile("MyDatabase.sqlite");
            SQLiteConnection db = new SQLiteConnection("Data Source=MyDatabase.sqlite;Version=3;");
            db.Open();
            string sql = "create table highscores (name text, score int)";            
            SQLiteCommand command = new SQLiteCommand(sql, db);
            command.ExecuteNonQuery();

            sql = "insert into highscores (name, score) values ('Me', 9001)";
            command = new SQLiteCommand(sql, db);
            command.ExecuteNonQuery();
            MessageBox.Show("SQlite db created", "My Application", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            SQLiteConnection db = new SQLiteConnection("Data Source=MyDatabase.sqlite;Version=3;");
            db.Open();
            string sql = "PRAGMA lic='77523-009-0000007-72328';";
            SQLiteCommand command = new SQLiteCommand(sql, db);
            command.ExecuteNonQuery();

            sql = "PRAGMA rekey='abc123';";
            command = new SQLiteCommand(sql, db);
            command.ExecuteNonQuery();

            MessageBox.Show("SQlite db encrypted", "My Application", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            SQLiteConnection db = new SQLiteConnection("Data Source=MyDatabase.sqlite;Version=3;");
            db.Open();
            string sql = "PRAGMA key='abc123';"; 
            SQLiteCommand command = new SQLiteCommand(sql, db);
            command.ExecuteNonQuery();

            sql = "PRAGMA lic='77523-009-0000007-72328';";
            command = new SQLiteCommand(sql, db);
            command.ExecuteNonQuery();

            sql = "select * from highscores;";
            command = new SQLiteCommand(sql, db);
            SQLiteDataReader reader = command.ExecuteReader();
            if (reader.Read())
                MessageBox.Show("Name: " + reader["name"] + " \tScore: " + reader["score"], "My Application", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }
    }
}
